/* Important styles */
#toggle {
    display: inline-block;
    width: 67px;
    height: 95px;
    padding-top: 38px;
    padding-left: 20px;
    padding-right: 15px;
}

#toggle span:after,
#toggle span:before {
    content: "";
    position: absolute;
    left: 0;
    top: -9px;
}
#toggle span:after{
    top: 9px;
}
#toggle span {
    position: relative;
    display: block;
}

#toggle span,
#toggle span:after,
#toggle span:before {
    width: 100%;
    height: 4px;
    background-color: #2b2b2b;
    transition: all 0.3s;
    backface-visibility: hidden;
    border-radius: 2px;
}

/* on activation */
#toggle.on span {
    background-color: transparent;
}
#toggle.on span:before {
    transform: rotate(45deg) translate(5px, 5px);
}
#toggle.on span:after {
    transform: rotate(-45deg) translate(7px, -8px);
}
#toggle.on + #menu {
    opacity: 1;
    visibility: visible;
}

.active-fast{
    transform: rotate(-90deg);
}